Subject: Re: [PATCH v2 5/6] net: ethernet: bgmac: Add platform device support

From: Florian Fainelli <[email-masked]>
Date: Fri, 8 Jul 2016 11:11:57 -0700

On 07/07/2016 04:08 PM, Jon Mason wrote:
> The bcma portion of the driver has been split off into a bcma specific
> driver.  This has been mirrored for the platform driver.  The last
> references to the bcma core struct have been changed into a generic
> function call.  These function calls are wrappers to either the original
> bcma code or new platform functions that access the same areas via MMIO.
> This necessitated adding function pointers for both platform and bcma to
> hide which backend is being used from the generic bgmac code.
> 
> Signed-off-by: Jon Mason <[email-masked]>
> Acked-by: Arnd Bergmann <[email-masked]>

Reviewed-by: Florian Fainelli <[email-masked]>
Tested-by: Florian Fainelli <[email-masked]>
-- 
Florian